/*********************************************************************
	Component	: oxf
	Model Element	: OxfException
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf;

import java.util.*;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/OxfException.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf 


/**
Base class for all framework exceptions
*/
//## class OxfException 
public class OxfException extends Exception {
    
    /**
    User message given in the constructor.
    */
    protected String message;		//## attribute message 
    
    
    // Constructors
    
    //## operation OxfException() 
    public  OxfException() {
        //#[ operation OxfException() 
        this("");
        //#]
    }
    /**
    Constructor - meesage, user message to be added in favor of toString() method.
    */
    //## operation OxfException(String) 
    public  OxfException(String message) {
        //#[ operation OxfException(String) 
        this.message = message;
        //#]
    }
    
    /**
    Returns a String representation of the exception.
    */
    //## operation toString() 
    public String toString() {
        //#[ operation toString() 
        String s = new String("Rhapsody Framework exception: ") + message;
        return s;
        //#]
    }
    
}

