/*********************************************************************
	Component	: oxf
	Model Element	: RiJEventConsumer
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf;


//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/RiJEventConsumer.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf 


/**
Interface for the most basic event handling capabilities. To be able to consume/handle RiJEvent instances one must implement this interface.
*/
//## class RiJEventConsumer 
public interface RiJEventConsumer {
    
    
    /**
    Take appropriate action in response to an event. The return value indicates wether the event was processed successfuly or not. The convention is 0 - success, negative values failure. The exact values are determined for every event handler separatly.
    */
    //## operation takeEvent(RiJEvent) 
    int takeEvent(RiJEvent event);
    
}

