/*********************************************************************
	Component	: oxf
	Model Element	: RiJInformer
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf;

import java.util.*;
//## dependency PrintStream 
import java.io.PrintStream;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/RiJInformer.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf 


/**
This class is used for printing messages into an output stream. For example, suppose I want to indicate that a state was entered:
1. Create an RiJInformer instance supplying the output stream.
2. Write 
*/
//## class RiJInformer 
public class RiJInformer {
    
    protected static RiJInformer _instance = null;		//## attribute _instance 
    
    protected PrintStream printStream;		//## attribute printStream 
    
    
    // Constructors
    
    //## operation RiJInformer() 
    private  RiJInformer() {
        //#[ operation RiJInformer() 
        printStream = System.out;
        //#]
    }
    
    //## operation getPrintStream() const 
    public PrintStream getPrintStream() {
        //#[ operation getPrintStream() const 
        return printStream;
        
        //#]
    }
    
    //## operation instance() 
    public static RiJInformer instance() {
        //#[ operation instance() 
        if (_instance == null) {
          _instance = new RiJInformer();
        }
        return _instance;
        
        //#]
    }
    
    //## operation printMsg(Object,String) 
    public void printMsg(Object source, String message) {
        //#[ operation printMsg(Object,String) 
        String className = "";
        if (source != null) {
          className = source.getClass().getName();
        }
        // formatting output
        printStream.println(className + " : " + message);
        
        //#]
    }
    
    //## operation printMsg(String) 
    public void printMsg(String message) {
        //#[ operation printMsg(String) 
        // formatting output
        printStream.println(message);
        
        //#]
    }
    
    //## operation setPrintStream(PrintStream) 
    public void setPrintStream(PrintStream p_printStream) {
        //#[ operation setPrintStream(PrintStream) 
        printStream = p_printStream;
        
        //#]
    }
    
}

