/*********************************************************************
	Component	: oxf
	Model Element	: RiJOXFTimerFactory
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.services;

//## dependency RiJSimulatedTimer 
import com.ibm.rational.rhapsody.oxf.timeouts.RiJSimulatedTimer;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/services/RiJOXFTimerFactory.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::services 


/**
the internal timer factory
*/
//## class RiJOXFTimerFactory 
public class RiJOXFTimerFactory implements RiJTimerFactory {
    
    
    // Constructors
    
    public  RiJOXFTimerFactory() {
    }
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    // Argument long tickTime : 
    /**
    the timer tick-time in mili-seconds
    */
    //## operation createRealTimeTimer(RiJTimerListener,long) 
    public RiJTimer createRealTimeTimer(RiJTimerListener i_listener, long tickTime) {
        //#[ operation createRealTimeTimer(RiJTimerListener,long) 
        return (RiJTimer) new RiJSimpleTimer(i_listener, tickTime);
        //#]
    }
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    // Argument long tickTime : 
    /**
    the timer tick-time in mili-seconds
    */
    // Argument boolean singleTick : 
    /**
    tick only once
    */
    //## operation createRealTimeTimer(RiJTimerListener,long,boolean) 
    public RiJTimer createRealTimeTimer(RiJTimerListener i_listener, long tickTime, boolean singleTick) {
        //#[ operation createRealTimeTimer(RiJTimerListener,long,boolean) 
        return (RiJTimer) new RiJSimpleTimer(i_listener, tickTime, singleTick);
        //#]
    }
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    //## operation createSimulatedTimeTimer(RiJTimerListener) 
    public RiJTimer createSimulatedTimeTimer(RiJTimerListener i_listener) {
        //#[ operation createSimulatedTimeTimer(RiJTimerListener) 
        return (RiJTimer) new RiJSimulatedTimer(i_listener);
        //#]
    }
    
}

