/*********************************************************************
	Component	: oxf
	Model Element	: RiJTimerFactory
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.services;


//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/services/RiJTimerFactory.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::services 


/**
An interface to a timer factory,  allow the user to use its own timers instead of the default framework timers
*/
//## class RiJTimerFactory 
public interface RiJTimerFactory {
    
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    // Argument long tickTime : 
    /**
    the timer tick-time in mili-seconds
    */
    //## operation createRealTimeTimer(RiJTimerListener,long) 
    RiJTimer createRealTimeTimer(RiJTimerListener i_listener, long tickTime);
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    // Argument long tickTime : 
    /**
    the timer tick-time in mili-seconds
    */
    // Argument boolean singleTick : 
    /**
    tick only once
    */
    //## operation createRealTimeTimer(RiJTimerListener,long,boolean) 
    RiJTimer createRealTimeTimer(RiJTimerListener i_listener, long tickTime, boolean singleTick);
    
    /**
    create a real-time timer
    */
    // Argument RiJTimerListener i_listener : 
    /**
    the client of the timer
    */
    //## operation createSimulatedTimeTimer(RiJTimerListener) 
    RiJTimer createSimulatedTimeTimer(RiJTimerListener i_listener);
    
}

