/*********************************************************************
	Component	: oxf
	Model Element	: RiJAbstractReactivePortRelay
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

//## operation getThread() 
import com.ibm.rational.rhapsody.oxf.RiJThread;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJAbstractReactivePortRelay.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


/**
An abstract class with empty implementation of reactive interfaces
used by relay inbound and outbound of ports.
*/
//## class RiJAbstractReactivePortRelay 
abstract public class RiJAbstractReactivePortRelay extends RiJStateConceptAdapter {
    
    
    // Constructors
    
    public  RiJAbstractReactivePortRelay() {
    }
    
    //## operation getThread() 
    public RiJThread getThread() {
        //#[ operation getThread() 
        return null;
        //#]
    }
    
    /**
    Although this is not part of RiJStateConcept we add it since reactive interfaces declare this method
    */
    // Argument long delay : 
    /**
    Delay time in milli-seconds
    */
    // Argument long timeoutID : 
    /**
    ID of the timeout
    */
    // Argument RiJStateReactive reactive : 
    /**
    The reactive event consumer of the event
    */
    //## operation schedTimeout(long,long,RiJStateReactive) 
    public void schedTimeout(long delay, long timeoutID, RiJStateReactive reactive) {
        //#[ operation schedTimeout(long,long,RiJStateReactive) 
        //#]
    }
    
    /**
    Although this is not part of RiJStateConcept we add it since reactive interfaces declare this method
    */
    //## operation unschedTimeout(long,RiJStateReactive) 
    public void unschedTimeout(long timeoutID, RiJStateReactive dest) {
        //#[ operation unschedTimeout(long,RiJStateReactive) 
        //#]
    }
    
}

