/*********************************************************************
	Component	: oxf
	Model Element	: RiJAndState
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

import java.util.*;
//## dependency oxf 
import com.ibm.rational.rhapsody.oxf.*;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJAndState.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


/**
A state containing one or more Component-States. While the state is active, the object is being in all of it's Component-States concurrently.
*/
//## class RiJAndState 
public class RiJAndState extends RiJState {
    
    protected LinkedList itsComponents;
    
    // Constructors
    
    //## operation RiJAndState(RiJOrState,RiJImplicitState) 
    public  RiJAndState(RiJOrState parent, RiJImplicitState impState) {
        {
            itsComponents = new LinkedList();
        }
        //#[ operation RiJAndState(RiJOrState,RiJImplicitState) 
        this.parent = parent;
        itsImplicitState = impState;
        //#]
    }
    public  RiJAndState() {
        {
            itsComponents = new LinkedList();
        }
    }
    
    /**
    true if the class is currently in this state.
    */
    //## operation in() 
    public boolean in() {
        //#[ operation in() 
        return (((RiJOrState)parent).getActiveSubState() == (RiJState)this);
        //#]
    }
    
    public ListIterator getItsComponents() {
        ListIterator iter = itsComponents.listIterator(0);
        return iter;
    }
    
    public void addItsComponents(RiJImplicitState p_RiJImplicitState) {
        itsComponents.add(p_RiJImplicitState);
    }
    
    public void removeItsComponents(RiJImplicitState p_RiJImplicitState) {
        itsComponents.remove(p_RiJImplicitState);
    }
    
    public void clearItsComponents() {
        itsComponents.clear();
    }
    
}

