/*********************************************************************
	Component	: oxf
	Model Element	: RiJDefaultPortInBound
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

import java.util.*;
//## operation gen(RiJEvent) 
import com.ibm.rational.rhapsody.oxf.RiJEvent;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJDefaultPortInBound.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


//## class RiJDefaultPortInBound 
public class RiJDefaultPortInBound extends RiJAbstractReactivePortRelay {
    
    public Object port;		//## attribute port 
    
    protected RiJStateConcept itsDefaultProvidedInterface;
    
    // Constructors
    
    public  RiJDefaultPortInBound() {
    }
    
    /**
    create new event and queue it
    */
    //## operation gen(RiJEvent) 
    public void gen(RiJEvent event) {
        //#[ operation gen(RiJEvent) 
        // Relay the event to the required interface
        if ((event != null) && (itsDefaultProvidedInterface != null))
        {   
        	event.setPort(port);
        	itsDefaultProvidedInterface.gen(event);
        }
        
        //#]
    }
    
    public Object getPort() {
        return port;
    }
    
    public void setPort(Object p_port) {
        port = p_port;
    }
    
    public RiJStateConcept getItsDefaultProvidedInterface() {
        return itsDefaultProvidedInterface;
    }
    
    public void setItsDefaultProvidedInterface(RiJStateConcept p_RiJStateConcept) {
        itsDefaultProvidedInterface = p_RiJStateConcept;
    }
    
}

