/*********************************************************************
	Component	: oxf
	Model Element	: RiJDefaultReactivePort
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

import java.util.*;
//## operation gen(RiJEvent) 
import com.ibm.rational.rhapsody.oxf.RiJEvent;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJDefaultReactivePort.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


//## class RiJDefaultReactivePort 
public class RiJDefaultReactivePort extends RiJAbstractReactivePortRelay {
    
    protected RiJDefaultPortInBound InBound;
    protected RiJStateConcept itsDefaultRequiredInterface;
    
    // Constructors
    
    public  RiJDefaultReactivePort() {
        initRelations();
    }
    
    /**
    create new event and queue it
    */
    //## operation gen(RiJEvent) 
    public void gen(RiJEvent event) {
        //#[ operation gen(RiJEvent) 
        // Relay the event to the required interface
        if ((event != null) && (itsDefaultRequiredInterface != null))
        {
        	itsDefaultRequiredInterface.gen(event);
        }
        
        //#]
    }
    
    //## operation getItsDefaultProvidedInterface() const 
    public RiJStateConcept getItsDefaultProvidedInterface() {
        //#[ operation getItsDefaultProvidedInterface() const 
        return InBound;
        //#]
    }
    
    //## operation getItsDefaultRequiredInterface() const 
    public RiJStateConcept getItsDefaultRequiredInterface() {
        //#[ operation getItsDefaultRequiredInterface() const 
        return this;
        //#]
    }
    
    //## operation getOutBound() 
    public RiJDefaultReactivePort getOutBound() {
        //#[ operation getOutBound() 
        return this;
        //#]
    }
    
    //## operation setItsDefaultProvidedInterface(RiJStateConcept) const 
    public void setItsDefaultProvidedInterface(RiJStateConcept p_RiJStateConcept) {
        //#[ operation setItsDefaultProvidedInterface(RiJStateConcept) const 
        InBound.setItsDefaultProvidedInterface(p_RiJStateConcept);
        //#]
    }
    
    public RiJDefaultPortInBound getInBound() {
        return InBound;
    }
    
    public RiJDefaultPortInBound newInBound() {
        InBound = new RiJDefaultPortInBound();
        return InBound;
    }
    
    public void deleteInBound() {
        InBound=null;
    }
    
    public void setItsDefaultRequiredInterface(RiJStateConcept p_RiJStateConcept) {
        itsDefaultRequiredInterface = p_RiJStateConcept;
    }
    
    protected void initRelations() {
        InBound = newInBound();
    }
    
}

