/*********************************************************************
	Component	: oxf
	Model Element	: RiJImplicitState
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

import java.util.*;
//## dependency oxf 
import com.ibm.rational.rhapsody.oxf.*;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJImplicitState.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


/**
An OrState used as a sub-state of an AndState.
*/
//## class RiJImplicitState 
public class RiJImplicitState extends RiJOrState {
    
    protected RiJState itsActiveState;
    
    // Constructors
    
    //## operation RiJImplicitState(RiJState) 
    public  RiJImplicitState(RiJState parent) {
        //#[ operation RiJImplicitState(RiJState) 
        this.parent = parent;
        
        //#]
    }
    public  RiJImplicitState() {
    }
    
    //## operation entDef() 
    public void entDef() throws StateEnterException {
        //#[ operation entDef() 
        if (itsActiveState != null) {
          throw (new StateEnterException("already in state"));
        }
        
        enter();
        if(activeSubState != null){
        	activeSubState.entDef();
        }
        //#]
    }
    
    //## operation getItsActiveState() 
    public RiJState getItsActiveState() {
        //#[ operation getItsActiveState() 
        return itsActiveState;
        
        //#]
    }
    
    public void __setItsActiveState(RiJState p_RiJState) {
        itsActiveState = p_RiJState;
    }
    
    public void _setItsActiveState(RiJState p_RiJState) {
        if(itsActiveState != null)
            {
                itsActiveState.__setItsImplicitState(null);
            }
        __setItsActiveState(p_RiJState);
    }
    
    public void setItsActiveState(RiJState p_RiJState) {
        if(p_RiJState != null)
            {
                p_RiJState._setItsImplicitState(this);
            }
        _setItsActiveState(p_RiJState);
    }
    
    public void _clearItsActiveState() {
        itsActiveState = null;
    }
    
}

