/*********************************************************************
	Component	: oxf
	Model Element	: RiJLeafState
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

//## dependency oxf 
import com.ibm.rational.rhapsody.oxf.*;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJLeafState.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


/**
A state that may serve as an active sub state of an OrState.
*/
//## class RiJLeafState 
public class RiJLeafState extends RiJState {
    
    
    // Constructors
    
    //## operation RiJLeafState(RiJOrState,RiJImplicitState) 
    public  RiJLeafState(RiJOrState parent, RiJImplicitState impState) {
        //#[ operation RiJLeafState(RiJOrState,RiJImplicitState) 
        this.parent = parent;
        itsImplicitState = impState;
        //#]
    }
    public  RiJLeafState() {
    }
    
    //## operation entDef() 
    public void entDef() {
        //#[ operation entDef() 
        enter();
        //#]
    }
    
    //## operation enter() 
    public void enter() {
        //#[ operation enter() 
        super.enter();
        itsImplicitState.setActiveSubState(this);
        itsImplicitState.setItsActiveState(this);
        //#]
    }
    
    /**
    true if the class is currently in this state.
    */
    //## operation in() 
    public boolean in() {
        //#[ operation in() 
        return (((RiJOrState)parent).getActiveSubState() == this);
        //#]
    }
    
}

