/*********************************************************************
	Component	: oxf
	Model Element	: RiJStateConceptAdapter
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

//## operation gen(RiJEvent) 
import com.ibm.rational.rhapsody.oxf.RiJEvent;
//## operation getEventConsumer() 
import com.ibm.rational.rhapsody.oxf.RiJEventConsumer;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJStateConceptAdapter.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


/**
This is an empty implementation of RiJStateConcept interface and is meant
to be used as a super class for classes that only need to provide a partial 
implementation for RiJStateConcept. 

For example, the in bound and out bound parts of Java ports only require
to provide gen() to relay event. All other services can be empty.
*/
//## class RiJStateConceptAdapter 
public class RiJStateConceptAdapter implements RiJStateConcept {
    
    
    // Constructors
    
    public  RiJStateConceptAdapter() {
    }
    
    /**
    create new event and queue it
    */
    //## operation gen(RiJEvent) 
    public void gen(RiJEvent event) {
        //#[ operation gen(RiJEvent) 
        //#]
    }
    
    //## operation getEventConsumer() 
    public RiJEventConsumer getEventConsumer() {
        //#[ operation getEventConsumer() 
        return null;
        //#]
    }
    
    //## operation queueEvent(RiJEvent) 
    public void queueEvent(RiJEvent event) {
        //#[ operation queueEvent(RiJEvent) 
        //#]
    }
    
    //## operation startBehavior() 
    public boolean startBehavior() {
        //#[ operation startBehavior() 
        return false;
        //#]
    }
    
    /**
    Take appropriate action in response to an event. The return value indicates wether the event was processed successfuly or not. The convention is 0 - success, negative values failure. The exact values are determined for every event handler separatly.
    */
    //## operation takeEvent(RiJEvent) 
    public int takeEvent(RiJEvent event) {
        //#[ operation takeEvent(RiJEvent) 
         return 0;
        //#]
    }
    
}

