/*********************************************************************
	Component	: oxf
	Model Element	: RiJTimedEvent
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.timeouts;

import java.util.*;
//## dependency oxf 
import com.ibm.rational.rhapsody.oxf.*;
//## class RiJTimedEvent 
import com.ibm.rational.rhapsody.oxf.RiJEvent;
//## dependency services 
import com.ibm.rational.rhapsody.oxf.services.*;
//## operation RiJTimedEvent(long,RiJEventConsumer,long,RiJEventDispatcher) 
import com.ibm.rational.rhapsody.oxf.RiJEventConsumer;
//## link timer 
import com.ibm.rational.rhapsody.oxf.services.RiJTimer;
//## operation RiJTimedEvent(long,RiJEventConsumer,long,RiJEventDispatcher) 
import com.ibm.rational.rhapsody.oxf.RiJEventDispatcher;
//## operation handleTimerInterrupt(RiJSimpleTimer) 
import com.ibm.rational.rhapsody.oxf.services.RiJSimpleTimer;
//## class RiJTimedEvent 
import com.ibm.rational.rhapsody.oxf.services.RiJTimerListener;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/timeouts/RiJTimedEvent.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::timeouts 


//## class RiJTimedEvent 
public class RiJTimedEvent extends RiJEvent implements RiJTimerListener {
    
    protected RiJEventDispatcher dispatcher;
    /**
    the event timer
    */
    protected RiJTimer timer;
    
    // Constructors
    
    //## operation RiJTimedEvent(long,RiJEventConsumer,long,RiJEventDispatcher) 
    public  RiJTimedEvent(long eventId, RiJEventConsumer destination, long timeInterval, RiJEventDispatcher eventDispatcher) {
        //#[ operation RiJTimedEvent(long,RiJEventConsumer,long,RiJEventDispatcher) 
        super(eventId, destination);
        this.dispatcher = eventDispatcher;
        timer = new RiJSimpleTimer(this, timeInterval, true);
        timer.start();
        //#]
    }
    
    /**
    Called by the Timer in case it was interrupted. In this case the event is canceled.
    */
    //## operation handleTimerInterrupt(RiJSimpleTimer) 
    public void handleTimerInterrupt(RiJSimpleTimer timer) {
        //#[ operation handleTimerInterrupt(RiJSimpleTimer) 
        cancel();
        //#]
    }
    
    //## operation notifyTime() 
    public void notifyTime() {
        //#[ operation notifyTime() 
        dispatcher.queueEvent(this);
        //#]
    }
    
    public RiJEventDispatcher getDispatcher() {
        return dispatcher;
    }
    
    public RiJTimer getTimer() {
        return timer;
    }
    
    public void setTimer(RiJTimer p_RiJTimer) {
        timer = p_RiJTimer;
    }
    
}

