--
-- Parametric Constraints Evaluator
-- MaximaKWLexer.gi
--
-- Maxima Expression Key Word Lexer
--
-- (C) Copyright IBM Corp. 2009. All rights reserved.
--
-- Author sakairi
-- Version 2009/12/16
--

%options package=com.ibm.rhapsody.pce.maxima.parser
%options template=KeywordTemplateF.gi

%Include
    KWLexerLowerCaseMapF.gi
%End

%Export
    and
    else
    elseif
    false
    if
    not
    or
    then
    true
%End

%Terminals
    a    b    c    d    e    f    g    h    i    j    k    l    m
    n    o    p    q    r    s    t    u    v    w    x    y    z
    _
%End

%Start
    -- The Goal for the parser is a single Keyword
    Keyword
%End

%Rules
    Keyword ::= a n d          /.$setResult($_and);./
              | e l s e        /.$setResult($_else);./
              | e l s e i f    /.$setResult($_elseif);./
              | f a l s e      /.$setResult($_false);./
              | i f            /.$setResult($_if);./
              | n o t          /.$setResult($_not);./
              | o r            /.$setResult($_or);./
              | t h e n        /.$setResult($_then);./
              | t r u e        /.$setResult($_true);./
%End
