
Predefined Macros:

    $rule_number
    $rule_text
    $rule_size
    $input_file
    $current_line
    $next_line
    $#identifier
    $symbol_declarations
    $num_rules
    $num_terminals
    $num_nonterminals
    $num_non_terminals
    $num_symbols
    $template
    $file_prefix
    $package
    $ast_package
    $ast_type
    $exp_type
    $prs_type
    $sym_type
    $action_type
    $visitor_type
    $prefix
    $suffix
    $entry_name
    $entry_marker



Defined Symbols:



    $Header
    /.
                    //
                    // Rule $rule_number:  $rule_text
                    //
                    ./


    $BeginAction
    /.$Header$case $rule_number: {./


    $EndAction
    /.                break;
                    }./


    $BeginJava
    /.$BeginAction
                        $symbol_declarations./


    $EndJava
    /.$EndAction./


    $NoAction
    /.$Header$case $rule_number:
                        break;./


    $BadAction
    /.$Header$case $rule_number:
                        throw new Error("No action specified for rule " + $rule_number);./


    $NullAction
    /.$Header$case $rule_number:
                        setResult(null);
                        break;./


    $BeginActions
    /.
            public void ruleAction(int ruleNumber)
            {
                switch (ruleNumber)
                {./


    $SplitActions
    /.
    	            default:
    	                ruleAction$rule_number(ruleNumber);
    	                break;
    	        }
    	        return;
    	    }
    	
    	    public void ruleAction$rule_number(int ruleNumber)
    	    {
    	        switch (ruleNumber)
    	        {./


    $EndActions
    /.
                    default:
                        break;
                }
                return;
            }./


    $entry_declarations
    /.
            public $ast_class parse$entry_name()
            {
                return parse$entry_name(null, 0);
            }
                
            public $ast_class parse$entry_name(Monitor monitor)
            {
                return parse$entry_name(monitor, 0);
            }
                
            public $ast_class parse$entry_name(int error_repair_count)
            {
                return parse$entry_name(null, error_repair_count);
            }
                
            public void resetParse$entry_name()
            {
                dtParser.resetParserEntry($sym_type.$entry_marker);
            }
            
            public $ast_class parse$entry_name(Monitor monitor, int error_repair_count)
            {
                dtParser.setMonitor(monitor);
                
                try
                {
                    return ($ast_class) dtParser.parseEntry($sym_type.$entry_marker);
                }
                catch (BadParseException e)
                {
                    prsStream.reset(e.error_token); // point to error token
    
                    DiagnoseParser diagnoseParser = new DiagnoseParser(prsStream, prsTable);
                    diagnoseParser.diagnoseEntry($sym_type.$entry_marker, e.error_token);
                }
    
                return null;
            }
        ./


    $additional_interfaces
    /../


    $ast_class
    /.Object./


    $unimplemented_symbols_warning
    /.false./


    $setSym1
    /. // macro setSym1 is deprecated. Use function setResult
                    getParser().setSym1./


    $setResult
    /. // macro setResult is deprecated. Use function setResult
                     getParser().setSym1./


    $getSym
    /. // macro getSym is deprecated. Use function getRhsSym
                  getParser().getSym./


    $getToken
    /. // macro getToken is deprecated. Use function getRhsTokenIndex
                    getParser().getToken./


    $getIToken
    /. // macro getIToken is deprecated. Use function getRhsIToken
                     prsStream.getIToken./


    $getLeftSpan
    /. // macro getLeftSpan is deprecated. Use function getLeftSpan
                       getParser().getFirstToken./


    $getRightSpan
    /. // macro getRightSpan is deprecated. Use function getRightSpan
                        getParser().getLastToken./


Aliases:

    <= ::= LESS_EQUAL
    >= ::= GREATER_EQUAL
    # ::= INEQUALITY
    < ::= LESS
    > ::= GREATER
    + ::= PLUS
    - ::= MINUS
    * ::= MULTIPLY
    / ::= DIVIDE
    ^ ::= EXPONENTIATION
    ( ::= LPAREN
    ) ::= RPAREN
    = ::= EQUALITY
    , ::= COMMA
    . ::= DOT


Start:

    Expression

Eof:

    EOF_TOKEN

Error:

    ERROR_TOKEN

Terminals:

    LESS_EQUAL
    GREATER_EQUAL
    INEQUALITY
    LESS
    GREATER
    PLUS
    MINUS
    MULTIPLY
    DIVIDE
    EXPONENTIATION
    LPAREN
    RPAREN
    EQUALITY
    COMMA
    DOT
    and
    else
    elseif
    false
    if
    not
    or
    then
    true
    EOF_TOKEN
    IDENTIFIER
    IntegerLiteral
    RealLiteral
    ELiteral
    ImaginaryUnitLiteral
    PiLiteral
    ERROR_TOKEN


Soft Keywords:



Rules:

0      '$accept' ::= Expression

1      Expression ::= ConditionalExpression
2      ConditionalExpression ::= OrExpression
3                              | if ConditionalExpression then ConditionalExpression ElseifExpression else ConditionalExpression
4      ElseifExpression ::=
5                         | ElseifExpression elseif ConditionalExpression then ConditionalExpression
6      OrExpression ::= AndExpression
7                     | OrExpression or AndExpression
8      AndExpression ::= NotExpression
9                      | AndExpression and NotExpression
10     NotExpression ::= RelationalExpression
11                     | not RelationalExpression
12     RelationalExpression ::= AdditiveExpression
13     RelationalExpression$LessExpression ::= AdditiveExpression < AdditiveExpression
14     RelationalExpression$LessEqualExpression ::= AdditiveExpression <= AdditiveExpression
15     RelationalExpression$GreaterEqualExpression ::= AdditiveExpression >= AdditiveExpression
16     RelationalExpression$GreaterExpression ::= AdditiveExpression > AdditiveExpression
17     RelationalExpression$EqualityExpression ::= AdditiveExpression = AdditiveExpression
18     RelationalExpression$InequalityExpression ::= AdditiveExpression # AdditiveExpression
19     AdditiveExpression ::= MultiplicativeExpression
20     AdditiveExpression$AddExpression ::= AdditiveExpression + MultiplicativeExpression
21     AdditiveExpression$SubtractExpression ::= AdditiveExpression - MultiplicativeExpression
22     MultiplicativeExpression ::= ExponentiationExpression
23     MultiplicativeExpression$MultiplyExpression ::= MultiplicativeExpression * ExponentiationExpression
24     MultiplicativeExpression$DivideExpression ::= MultiplicativeExpression / ExponentiationExpression
25     ExponentiationExpression ::= UnaryExpression
26                                | UnaryExpression ^ ExponentiationExpression
27     UnaryExpression ::= PrimaryExpression
28     UnaryExpression$PlusUnaryExpression ::= + UnaryExpression
29     UnaryExpression$MinusUnaryExpression ::= - UnaryExpression
30     PrimaryExpression ::= Literal
31     PrimaryExpression$ParenthesizedExpression ::= ( ConditionalExpression )
32     PrimaryExpression$OneArgumentFunction ::= FunctionName ( ConditionalExpression )
33     PrimaryExpression$TwoArgumentsFunction ::= FunctionName ( ConditionalExpression , ConditionalExpression )
34     PrimaryExpression$ThreeArgumentsFunction ::= FunctionName ( ConditionalExpression , ConditionalExpression , ConditionalExpression )
35     PrimaryExpression$Variable ::= IDENTIFIER
36     FunctionName ::= IDENTIFIER
37     Literal$IntegerLiteral ::= IntegerLiteral
38     Literal$RealLiteral ::= RealLiteral
39     Literal$BooleanLiteral ::= BooleanLiteral
40     Literal$ELiteral ::= ELiteral
41     Literal$ImaginaryUnitLiteral ::= ImaginaryUnitLiteral
42     Literal$PiLiteral ::= PiLiteral
43     BooleanLiteral$TrueLiteral ::= true
44     BooleanLiteral$FalseLiteral ::= false
L:/StmOO/Rhapsody~752/Rhapsody/AddOns/PCE/PCE_Workspace/com.ibm.rhapsody.pce.pcel/src/com/ibm/rhapsody/pce/maxima/parser/MaximaParser.g:37:5:37:7:776:778: Informative: The terminal DOT is useless.


 IBM LALR Parser Generator              2.0.15 (Feb  3 2009)


Name map:

'$empty' ::= '$empty'
LESS_EQUAL ::= <=
GREATER_EQUAL ::= >=
INEQUALITY ::= #
LESS ::= <
GREATER ::= >
PLUS ::= +
MINUS ::= -
MULTIPLY ::= *
DIVIDE ::= /
EXPONENTIATION ::= ^
LPAREN ::= (
RPAREN ::= )
EQUALITY ::= =
COMMA ::= ,
DOT ::= .
and ::= and
else ::= else
elseif ::= elseif
false ::= false
if ::= if
not ::= not
or ::= or
then ::= then
true ::= true
EOF_TOKEN ::= EOF_TOKEN
IDENTIFIER ::= IDENTIFIER
IntegerLiteral ::= IntegerLiteral
RealLiteral ::= RealLiteral
ELiteral ::= ELiteral
ImaginaryUnitLiteral ::= ImaginaryUnitLiteral
PiLiteral ::= PiLiteral
ERROR_TOKEN ::= ERROR_TOKEN
Expression ::= Expression
ConditionalExpression ::= ConditionalExpression
OrExpression ::= OrExpression
AndExpression ::= AndExpression
NotExpression ::= NotExpression
RelationalExpression ::= RelationalExpression
AdditiveExpression ::= AdditiveExpression
MultiplicativeExpression ::= MultiplicativeExpression
ExponentiationExpression ::= ExponentiationExpression
UnaryExpression ::= UnaryExpression
FunctionName ::= FunctionName
ElseifExpression ::= 
PrimaryExpression ::= 
Literal ::= 
BooleanLiteral ::= 

 IBM LALR Parser Generator              2.0.15 (Feb  3 2009)


Scopes:

PrimaryExpression ::= FunctionName LPAREN ConditionalExpression COMMA 
                      ConditionalExpression COMMA ConditionalExpression  .
                      RPAREN 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression COMMA 
                      ConditionalExpression  .RPAREN 
ConditionalExpression ::= if ConditionalExpression then 
                          ConditionalExpression ElseifExpression  .else 
                          ConditionalExpression 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression COMMA 
                      ConditionalExpression  .COMMA ConditionalExpression 
                      RPAREN 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression  .RPAREN 
ElseifExpression ::= ElseifExpression elseif ConditionalExpression  .then 
                     ConditionalExpression 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression  .COMMA 
                      ConditionalExpression RPAREN 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression  .COMMA 
                      ConditionalExpression COMMA ConditionalExpression RPAREN 
PrimaryExpression ::= LPAREN ConditionalExpression  .RPAREN 
ConditionalExpression ::= if ConditionalExpression  .then ConditionalExpression 
                          ElseifExpression else ConditionalExpression 

