
Predefined Macros:

    $rule_number
    $rule_text
    $rule_size
    $input_file
    $current_line
    $next_line
    $#identifier
    $symbol_declarations
    $num_rules
    $num_terminals
    $num_nonterminals
    $num_non_terminals
    $num_symbols
    $template
    $file_prefix
    $package
    $ast_package
    $ast_type
    $exp_type
    $prs_type
    $sym_type
    $action_type
    $visitor_type
    $prefix
    $suffix
    $entry_name
    $entry_marker



Defined Symbols:



    $Header
    /.
                    //
                    // Rule $rule_number:  $rule_text
                    //
                    ./


    $BeginAction
    /.$Header$case $rule_number: {./


    $EndAction
    /.                break;
                    }./


    $BeginJava
    /.$BeginAction
                        $symbol_declarations./


    $EndJava
    /.$EndAction./


    $NoAction
    /.$Header$case $rule_number:
                        break;./


    $BadAction
    /.$Header$case $rule_number:
                        throw new Error("No action specified for rule " + $rule_number);./


    $NullAction
    /.$Header$case $rule_number:
                        setResult(null);
                        break;./


    $BeginActions
    /.
            public void ruleAction(int ruleNumber)
            {
                switch (ruleNumber)
                {./


    $SplitActions
    /.
    	            default:
    	                ruleAction$rule_number(ruleNumber);
    	                break;
    	        }
    	        return;
    	    }
    	
    	    public void ruleAction$rule_number(int ruleNumber)
    	    {
    	        switch (ruleNumber)
    	        {./


    $EndActions
    /.
                    default:
                        break;
                }
                return;
            }./


    $entry_declarations
    /.
            public $ast_class parse$entry_name()
            {
                return parse$entry_name(null, 0);
            }
                
            public $ast_class parse$entry_name(Monitor monitor)
            {
                return parse$entry_name(monitor, 0);
            }
                
            public $ast_class parse$entry_name(int error_repair_count)
            {
                return parse$entry_name(null, error_repair_count);
            }
                
            public void resetParse$entry_name()
            {
                dtParser.resetParserEntry($sym_type.$entry_marker);
            }
            
            public $ast_class parse$entry_name(Monitor monitor, int error_repair_count)
            {
                dtParser.setMonitor(monitor);
                
                try
                {
                    return ($ast_class) dtParser.parseEntry($sym_type.$entry_marker);
                }
                catch (BadParseException e)
                {
                    prsStream.reset(e.error_token); // point to error token
    
                    DiagnoseParser diagnoseParser = new DiagnoseParser(prsStream, prsTable);
                    diagnoseParser.diagnoseEntry($sym_type.$entry_marker, e.error_token);
                }
    
                return null;
            }
        ./


    $additional_interfaces
    /../


    $ast_class
    /.Object./


    $unimplemented_symbols_warning
    /.false./


    $setSym1
    /. // macro setSym1 is deprecated. Use function setResult
                    getParser().setSym1./


    $setResult
    /. // macro setResult is deprecated. Use function setResult
                     getParser().setSym1./


    $getSym
    /. // macro getSym is deprecated. Use function getRhsSym
                  getParser().getSym./


    $getToken
    /. // macro getToken is deprecated. Use function getRhsTokenIndex
                    getParser().getToken./


    $getIToken
    /. // macro getIToken is deprecated. Use function getRhsIToken
                     prsStream.getIToken./


    $getLeftSpan
    /. // macro getLeftSpan is deprecated. Use function getLeftSpan
                       getParser().getFirstToken./


    $getRightSpan
    /. // macro getRightSpan is deprecated. Use function getRightSpan
                        getParser().getLastToken./


Aliases:

    + ::= PLUS
    - ::= MINUS
    * ::= MULTIPLY
    / ::= DIVIDE
    ^ ::= EXPONENTIATION
    ( ::= LPAREN
    ) ::= RPAREN
    , ::= COMMA


Start:

    Expression

Eof:

    EOF_TOKEN

Error:

    ERROR_TOKEN

Terminals:

    PLUS
    MINUS
    MULTIPLY
    DIVIDE
    EXPONENTIATION
    LPAREN
    RPAREN
    COMMA
    i
    pi
    EOF_TOKEN
    IDENTIFIER
    IntegerLiteral
    RealLiteral
    ERROR_TOKEN


Soft Keywords:



Rules:

0      '$accept' ::= Expression

1      Expression ::= AdditiveExpression
2      AdditiveExpression ::= MultiplicativeExpression
3      AdditiveExpression$AddExpression ::= AdditiveExpression + MultiplicativeExpression
4      AdditiveExpression$SubtractExpression ::= AdditiveExpression - MultiplicativeExpression
5      MultiplicativeExpression ::= ExponentiationExpression
6      MultiplicativeExpression$MultiplyExpression ::= MultiplicativeExpression * ExponentiationExpression
7      MultiplicativeExpression$DivideExpression ::= MultiplicativeExpression / ExponentiationExpression
8      ExponentiationExpression ::= UnaryExpression
9                                 | ExponentiationExpression ^ UnaryExpression
10     UnaryExpression ::= PrimaryExpression
11     UnaryExpression$PlusUnaryExpression ::= + UnaryExpression
12     UnaryExpression$MinusUnaryExpression ::= - UnaryExpression
13     PrimaryExpression ::= Literal
14     PrimaryExpression$ParenthesizedExpression ::= ( AdditiveExpression )
15     PrimaryExpression$OneArgumentFunction ::= FunctionName ( AdditiveExpression )
16     PrimaryExpression$TwoArgumentsFunction ::= FunctionName ( AdditiveExpression , AdditiveExpression )
17     PrimaryExpression$Variable ::= IDENTIFIER
18     FunctionName ::= IDENTIFIER
19     Literal$ImaginaryIntegerLiteral ::= IntegerLiteral i
20     Literal$ImaginaryRealLiteral ::= RealLiteral i
21     Literal$IntegerLiteral ::= IntegerLiteral
22     Literal$RealLiteral ::= RealLiteral
23     Literal$ImaginaryUnitLiteral ::= i
24     Literal$PiLiteral ::= pi


 IBM LALR Parser Generator              2.0.17 (May 18 2009)


Name map:

'$empty' ::= '$empty'
PLUS ::= +
MINUS ::= -
MULTIPLY ::= *
DIVIDE ::= /
EXPONENTIATION ::= ^
LPAREN ::= (
RPAREN ::= )
COMMA ::= ,
i ::= i
pi ::= pi
EOF_TOKEN ::= EOF_TOKEN
IDENTIFIER ::= IDENTIFIER
IntegerLiteral ::= IntegerLiteral
RealLiteral ::= RealLiteral
ERROR_TOKEN ::= ERROR_TOKEN
Expression ::= Expression
AdditiveExpression ::= AdditiveExpression
MultiplicativeExpression ::= MultiplicativeExpression
ExponentiationExpression ::= ExponentiationExpression
UnaryExpression ::= UnaryExpression
FunctionName ::= FunctionName
PrimaryExpression ::= 
Literal ::= 

 IBM LALR Parser Generator              2.0.17 (May 18 2009)


Scopes:

PrimaryExpression ::= FunctionName LPAREN AdditiveExpression COMMA 
                      AdditiveExpression  .RPAREN 
PrimaryExpression ::= FunctionName LPAREN AdditiveExpression  .RPAREN 
PrimaryExpression ::= FunctionName LPAREN AdditiveExpression  .COMMA 
                      AdditiveExpression RPAREN 
PrimaryExpression ::= LPAREN AdditiveExpression  .RPAREN 

