--
-- Parametric Constraints Evaluator
-- PCELKWLexer.gi
--
-- Parametric Constraints Expression Language (PCEL) Key Word Lexer
--
-- (C) Copyright IBM Corp. 2009. All rights reserved.
--
-- Author sakairi
-- Version 2009/11/24
--

%options package=com.ibm.rhapsody.pce.pcel
%options template=KeywordTemplateF.gi

%Include
    KWLexerLowerCaseMapF.gi
%End

%Export
    and
    e
    else
    elseif
    false
    i
    if
    not
    or
    pi
    then
    true
%End

%Terminals
    a    b    c    d    e    f    g    h    i    j    k    l    m
    n    o    p    q    r    s    t    u    v    w    x    y    z
%End

%Start
    -- The Goal for the parser is a single Keyword
    Keyword
%End

%Rules
    Keyword ::= a n d          /.$setResult($_and);./
              | e              /.$setResult($_e);./
              | e l s e        /.$setResult($_else);./
              | e l s e i f    /.$setResult($_elseif);./
              | f a l s e      /.$setResult($_false);./
              | i              /.$setResult($_i);./
              | i f            /.$setResult($_if);./
              | n o t          /.$setResult($_not);./
              | o r            /.$setResult($_or);./
              | p i            /.$setResult($_pi);./
              | t h e n        /.$setResult($_then);./
              | t r u e        /.$setResult($_true);./
%End
