
Predefined Macros:

    $rule_number
    $rule_text
    $rule_size
    $input_file
    $current_line
    $next_line
    $#identifier
    $symbol_declarations
    $num_rules
    $num_terminals
    $num_nonterminals
    $num_non_terminals
    $num_symbols
    $template
    $file_prefix
    $package
    $ast_package
    $ast_type
    $exp_type
    $prs_type
    $sym_type
    $action_type
    $visitor_type
    $prefix
    $suffix
    $entry_name
    $entry_marker



Defined Symbols:



    $Header
    /.
                    //
                    // Rule $rule_number:  $rule_text
                    //
                    ./


    $BeginAction
    /.$Header$case $rule_number: {./


    $EndAction
    /.                break;
                    }./


    $BeginJava
    /.$BeginAction
                        $symbol_declarations./


    $EndJava
    /.$EndAction./


    $NoAction
    /.$Header$case $rule_number:
                        break;./


    $BadAction
    /.$Header$case $rule_number:
                        throw new Error("No action specified for rule " + $rule_number);./


    $NullAction
    /.$Header$case $rule_number:
                        setResult(null);
                        break;./


    $BeginActions
    /.
            public void ruleAction(int ruleNumber)
            {
                switch (ruleNumber)
                {./


    $SplitActions
    /.
    	            default:
    	                ruleAction$rule_number(ruleNumber);
    	                break;
    	        }
    	        return;
    	    }
    	
    	    public void ruleAction$rule_number(int ruleNumber)
    	    {
    	        switch (ruleNumber)
    	        {./


    $EndActions
    /.
                    default:
                        break;
                }
                return;
            }./


    $entry_declarations
    /.
            public $ast_class parse$entry_name()
            {
                return parse$entry_name(null, 0);
            }
                
            public $ast_class parse$entry_name(Monitor monitor)
            {
                return parse$entry_name(monitor, 0);
            }
                
            public $ast_class parse$entry_name(int error_repair_count)
            {
                return parse$entry_name(null, error_repair_count);
            }
                
            public void resetParse$entry_name()
            {
                dtParser.resetParserEntry($sym_type.$entry_marker);
            }
            
            public $ast_class parse$entry_name(Monitor monitor, int error_repair_count)
            {
                dtParser.setMonitor(monitor);
                
                try
                {
                    return ($ast_class) dtParser.parseEntry($sym_type.$entry_marker);
                }
                catch (BadParseException e)
                {
                    prsStream.reset(e.error_token); // point to error token
    
                    DiagnoseParser diagnoseParser = new DiagnoseParser(prsStream, prsTable);
                    diagnoseParser.diagnoseEntry($sym_type.$entry_marker, e.error_token);
                }
    
                return null;
            }
        ./


    $additional_interfaces
    /../


    $ast_class
    /.Object./


    $unimplemented_symbols_warning
    /.false./


    $setSym1
    /. // macro setSym1 is deprecated. Use function setResult
                    getParser().setSym1./


    $setResult
    /. // macro setResult is deprecated. Use function setResult
                     getParser().setSym1./


    $getSym
    /. // macro getSym is deprecated. Use function getRhsSym
                  getParser().getSym./


    $getToken
    /. // macro getToken is deprecated. Use function getRhsTokenIndex
                    getParser().getToken./


    $getIToken
    /. // macro getIToken is deprecated. Use function getRhsIToken
                     prsStream.getIToken./


    $getLeftSpan
    /. // macro getLeftSpan is deprecated. Use function getLeftSpan
                       getParser().getFirstToken./


    $getRightSpan
    /. // macro getRightSpan is deprecated. Use function getRightSpan
                        getParser().getLastToken./


Aliases:

    <= ::= LESS_EQUAL
    >= ::= GREATER_EQUAL
    <> ::= INEQUALITY
    < ::= LESS
    > ::= GREATER
    + ::= PLUS
    - ::= MINUS
    * ::= MULTIPLY
    / ::= DIVIDE
    ^ ::= EXPONENTIATION
    ( ::= LPAREN
    ) ::= RPAREN
    == ::= EQUALITY
    , ::= COMMA
    . ::= DOT
    = ::= EQUATION


Start:

    ParametricConstraint

Eof:

    EOF_TOKEN

Error:

    ERROR_TOKEN

Terminals:

    LESS_EQUAL
    GREATER_EQUAL
    INEQUALITY
    LESS
    GREATER
    PLUS
    MINUS
    MULTIPLY
    DIVIDE
    EXPONENTIATION
    LPAREN
    RPAREN
    EQUALITY
    COMMA
    DOT
    EQUATION
    and
    e
    else
    elseif
    false
    i
    if
    not
    or
    pi
    then
    true
    EOF_TOKEN
    IDENTIFIER
    IntegerLiteral
    RealLiteral
    ERROR_TOKEN


Soft Keywords:



Rules:

0      '$accept' ::= ParametricConstraint

1      ParametricConstraint ::= Equation
2                             | ConditionalExpression
3      Equation ::= ConditionalExpression = ConditionalExpression
4      ConditionalExpression ::= OrExpression
5                              | if ConditionalExpression then ConditionalExpression ElseifExpression else ConditionalExpression
6      ElseifExpression ::=
7                         | ElseifExpression elseif ConditionalExpression then ConditionalExpression
8      OrExpression ::= AndExpression
9                     | OrExpression or AndExpression
10     AndExpression ::= NotExpression
11                     | AndExpression and NotExpression
12     NotExpression ::= RelationalExpression
13                     | not RelationalExpression
14     RelationalExpression ::= AdditiveExpression
15     RelationalExpression$LessExpression ::= AdditiveExpression < AdditiveExpression
16     RelationalExpression$LessEqualExpression ::= AdditiveExpression <= AdditiveExpression
17     RelationalExpression$GreaterEqualExpression ::= AdditiveExpression >= AdditiveExpression
18     RelationalExpression$GreaterExpression ::= AdditiveExpression > AdditiveExpression
19     RelationalExpression$EqualityExpression ::= AdditiveExpression == AdditiveExpression
20     RelationalExpression$InequalityExpression ::= AdditiveExpression <> AdditiveExpression
21     AdditiveExpression ::= MultiplicativeExpression
22     AdditiveExpression$AddExpression ::= AdditiveExpression + MultiplicativeExpression
23     AdditiveExpression$SubtractExpression ::= AdditiveExpression - MultiplicativeExpression
24     AdditiveExpression$PlusUnaryExpression ::= + MultiplicativeExpression
25     AdditiveExpression$MinusUnaryExpression ::= - MultiplicativeExpression
26     MultiplicativeExpression ::= ExponentiationExpression
27     MultiplicativeExpression$MultiplyExpression ::= MultiplicativeExpression * ExponentiationExpression
28     MultiplicativeExpression$DivideExpression ::= MultiplicativeExpression / ExponentiationExpression
29     ExponentiationExpression ::= PrimaryExpression
30                                | PrimaryExpression ^ PrimaryExpression
31     PrimaryExpression ::= Literal
32     PrimaryExpression$ParenthesizedExpression ::= ( ConditionalExpression )
33     PrimaryExpression$OneArgumentFunction ::= FunctionName ( ConditionalExpression )
34     PrimaryExpression$TwoArgumentsFunction ::= FunctionName ( ConditionalExpression , ConditionalExpression )
35     PrimaryExpression$Variable ::= IDENTIFIER
36     FunctionName ::= IDENTIFIER
37     Literal$IntegerLiteral ::= IntegerLiteral
38     Literal$RealLiteral ::= RealLiteral
39     Literal$BooleanLiteral ::= BooleanLiteral
40     Literal$ELiteral ::= e
41     Literal$ImaginaryUnitLiteral ::= i
42     Literal$PiLiteral ::= pi
43     BooleanLiteral$TrueLiteral ::= true
44     BooleanLiteral$FalseLiteral ::= false
L:/StmOO/Rhapsody~752/Rhapsody/AddOns/PCE/PCE_Workspace/com.ibm.rhapsody.pce.pcel/src/com/ibm/rhapsody/pce/pcel/PCELParser.g:37:5:37:7:797:799: Informative: The terminal DOT is useless.


 IBM LALR Parser Generator              2.0.15 (Feb  3 2009)


Name map:

'$empty' ::= '$empty'
LESS_EQUAL ::= <=
GREATER_EQUAL ::= >=
INEQUALITY ::= <>
LESS ::= <
GREATER ::= >
PLUS ::= +
MINUS ::= -
MULTIPLY ::= *
DIVIDE ::= /
EXPONENTIATION ::= ^
LPAREN ::= (
RPAREN ::= )
EQUALITY ::= ==
COMMA ::= ,
DOT ::= .
EQUATION ::= =
and ::= and
e ::= e
else ::= else
elseif ::= elseif
false ::= false
i ::= i
if ::= if
not ::= not
or ::= or
pi ::= pi
then ::= then
true ::= true
EOF_TOKEN ::= EOF_TOKEN
IDENTIFIER ::= IDENTIFIER
IntegerLiteral ::= IntegerLiteral
RealLiteral ::= RealLiteral
ERROR_TOKEN ::= ERROR_TOKEN
ParametricConstraint ::= ParametricConstraint
ConditionalExpression ::= ConditionalExpression
OrExpression ::= OrExpression
AndExpression ::= AndExpression
NotExpression ::= NotExpression
RelationalExpression ::= RelationalExpression
AdditiveExpression ::= AdditiveExpression
MultiplicativeExpression ::= MultiplicativeExpression
ExponentiationExpression ::= ExponentiationExpression
PrimaryExpression ::= PrimaryExpression
FunctionName ::= FunctionName
Equation ::= 
ElseifExpression ::= 
Literal ::= 
BooleanLiteral ::= 

 IBM LALR Parser Generator              2.0.15 (Feb  3 2009)


Scopes:

PrimaryExpression ::= FunctionName LPAREN ConditionalExpression COMMA 
                      ConditionalExpression  .RPAREN 
ConditionalExpression ::= if ConditionalExpression then 
                          ConditionalExpression ElseifExpression  .else 
                          ConditionalExpression 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression  .RPAREN 
ElseifExpression ::= ElseifExpression elseif ConditionalExpression  .then 
                     ConditionalExpression 
PrimaryExpression ::= FunctionName LPAREN ConditionalExpression  .COMMA 
                      ConditionalExpression RPAREN 
PrimaryExpression ::= LPAREN ConditionalExpression  .RPAREN 
ConditionalExpression ::= if ConditionalExpression  .then ConditionalExpression 
                          ElseifExpression else ConditionalExpression 

