package com.sodius.mdw.core;

import com.sodius.mdw.internal.core.eval.filter.FilteredException;

/**
 * A checked exception representing a failure.
 * <p>
 * This class is not intended to be subclassed by clients but
 * may be instantiated.
 * </p>
 */
public class CoreException extends FilteredException {

    /**
     * Constructs a <code>CoreException</code> with the specified detail message.
     * 
     * @param message the detail message.
     */
    public CoreException(String message) {
        super(message);
    }

    /**
     * Constructs a <code>CoreException</code> with the specified cause.
     * 
     * @param cause the cause.
     */
    public CoreException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs a <code>CoreException</code> with the specified detail message and the specified cause.
     * 
     * @param message the detail message.
     * @param cause the cause.
     */
    public CoreException(String message, Throwable cause) {
        super(message, cause);
    }

}
