package com.sodius.mdw.core;

/**
 * Describes an application the workbench can connect to.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.MDWorkbench#getApplication()
 */
public interface WorkbenchApplication {
    
    /**
     * Returns the name of the application, displayable to the end-user.
     * 
     * @return the application name.
     */
    public String getName();
    
    /**
     * Returns the internal application ID.
     * This ID is used to instantiate a workbench.
     * 
     * @return the application ID.
     * @see MDWorkbenchFactory#create(String)
     */
    public String getID();
}
