package com.sodius.mdw.core.compatibility;

import java.util.List;
import java.util.Map;

import org.eclipse.emf.ecore.EObject;

import com.sodius.mdw.core.model.MDWList;
import com.sodius.mdw.core.model.MDWObject;

@SuppressWarnings("unchecked")
public interface CompatibilityManager extends TransformationManager {

    public LocalContext createLocalContext();
    public LocalContext createLocalContext(Map values);
    
    public List getTransientLink(Object source, String name, Object defaultValue);
    public Object getFeatureValue(EObject object, String featureName, Object defaultValue);
    
    public MDWList deprecatedCollect(MDWList list, String scriptName);
    public MDWList deprecatedCollect(MDWList list, String scriptName, List arguments);
    public MDWList deprecatedCollect(MDWList list, String scriptName, boolean flat);
    public MDWList deprecatedCollect(MDWList list, String scriptName, List arguments, boolean flat);
    
    public Object toObjectSingleEvaluation(MDWObject self, String scriptName);
    
    public void addLink(MDWObject self, String featureName, Object target);
    public Object getLinkedObject(MDWObject self, String featureName);
    public List getLinkedObjects(MDWObject self, String featureName);
    public boolean hasLink(MDWObject self, String featureName);
    public boolean hasLink(MDWObject self, String featureName, Object target);
    public void removeLink(MDWObject self, String featureName, Object target);
    public void removeLinks(MDWObject self, String featureName);
    
    public void register(ServiceSet serviceSet);
    public Object evaluateService(String name);
    public Object evaluateService(String name, List arguments);
    public Object evaluateService(String name, Object[] arguments);
}
