package com.sodius.mdw.core.compatibility;

import java.util.Collection;
import java.util.Set;

/*
 * Unsupported APIs :
 * - getFrame()
 * - getMIADirectory()
 * - getMIAVersion()
 * - hasGenerationReport() [Mia-Generation]
 * - getGenerationReport() [Mia-Generation]
 */
@SuppressWarnings("unchecked")
public interface GlobalContext extends Context {
    
    // Common
    public void clear();
    public void remove(String name);
    public String getJDKDirectory();
    
    public boolean isSilentMode();
    public boolean isArchitectEdition();
    
    public String getProjectName();
    public String getProjectFilePath();
    
    // Mia Generation
    public void cancelGeneration();
    public String getGenerationDirectory();
    
    public String get(String key);
    public String getString(String key);
    public Set keySet();
    public int size();
    public Collection values();
    public void set(String key, String value);
    public void setString(String key, String value);
    
    // Mia Transformation
    public void cancelTransformation();
}
