package com.sodius.mdw.core.compatibility;

import java.util.List;

import com.sodius.mdw.core.eval.EvaluationContext;
import com.sodius.mdw.core.model.MDWObject;

@SuppressWarnings("unchecked")
public interface TransformationManager {
    
    public void addLink(String linkName, Object source, Object target);
    
    public List allOfClass(String modelID, String typeName); 
    
    public List allOfType(String modelID, String typeName);
    
    public MDWObject createInstance(String modelID, String typeName);
    
    public void removeInstance(Object value);
    
    public boolean isOfClass(Object object, String typeName);
    
    public boolean isOfType(Object object, String typeName);
    
    public boolean linkExists(String linkName, Object source);
    
    public boolean linkExists(String linkName, Object source, Object target);

    public Object queryLink(String linkName, Object source);
    
    public List queryLinks(String linkName, Object source);
    
    public void removeLink(String linkName, Object source, Object target);
    
    public void removeLinks(String linkName, Object source);
    
    public EvaluationContext getEvaluationContext();

    public abstract void addTransLink(String linkName, Object source, Object target);
    
    public abstract List querySourcesForTransLink(String linkName);
    
    public abstract List querySourcesForTransLink(String linkName, Object target);
    
    public abstract List queryTargetsForTransLink(String linkName);
    
    public abstract List queryTargetsForTransLink(String linkName, Object start);
    
    public abstract List queryTransLinkNamesFromSource(Object source);
    
    public abstract List queryTransLinkNamesToTarget(Object target);
    
    public abstract void removeTransLink(String linkName, Object source, Object target);
    
    public abstract void removeTransLinksFromSource(String linkName, Object source);
    
    public abstract void removeTransLinksToTarget(String linkName, Object target);
    
    public abstract boolean transLinkExists(String linkName, Object source, Object target);
    
    public abstract boolean transLinkExistsFromSource(String linkName, Object source);
    
    public abstract boolean transLinkExistsToTarget(String linkName, Object target);
}
