package com.sodius.mdw.core.eval;

import com.sodius.mdw.internal.core.eval.filter.FilteredRuntimeException;

/**
 * Thrown when a reference to an evaluable element (template, rule or script) is invalid.
 */
public class InvalidCallException extends FilteredRuntimeException {

    /**
     * Constructs an <code>InvalidCallException</code> with the specified detail message.
     * 
     * @param message the detail message.
     */
    public InvalidCallException(String message) {
        super(message);
    }

    /**
     * Constructs an <code>InvalidCallException</code> with the specified detail message and cause.
     * 
     * @param message the detail message.
     * @param cause the cause.
     */
    public InvalidCallException(String message, Throwable cause) {
        super(message, cause);
    }

}
