package com.sodius.mdw.core.eval;

import java.util.Collection;

import com.sodius.mdw.core.model.emf.MDWEList;

/**
 * Provides facilities to invoke scripts on each <code>MDWObject</code> element of this list.
 * This list does not contain duplicate elements. 
 * Any <code>add</code> call will first ensure the element is not already part of the list.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface TransientLinkList<E> extends MDWEList<E> {

    /**
     * Adds the specified element to this list if it is not already present. 
     */
    public boolean add(E o);
    
    /**
     * Adds the specified element to this list at the specified index if it is not already present. 
     */
    public void add(int index, E element);
    
    /**
     * Adds all of the elements in the specified collection to this list if they're not already present.
     */
    public boolean addAll(Collection<? extends E> c);
    
    /**
     * Adds all of the elements in the specified collection 
     * to this list at the specified index if they're not already present.
     */
    public boolean addAll(int index, Collection<? extends E> c);
}
