package com.sodius.mdw.core.eval.debug;

/**
 * Description of a value, represented as a a <code>String</code>.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface DebugValue {

    /**
     * Returns a description of the underlying value as a <code>String</code>.
     * 
     * @return description of the underlying value as a <code>String</code>.
     */
    public String getStringValue();
    
    /**
     * Returns the Java class name of the underlying value (<code>"java.util.List"</code> for example).
     * 
     * @return the Java class name of the underlying value.
     */
    public String getClassName();
}
