package com.sodius.mdw.core.eval.debug;

/**
 * A named value used in the debug hierarchy.
 * This can be a parameter name of a script associated to the actual argument used to call the script.
 *  
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface DebugVariable {

    /**
     * Returns the name of this variable.
     * 
     * @return the variable name.
     */
    public String getName();
    
    /**
     * Returns a description of the associated value.
     * 
     * @return a description of the associated value.
     */
    public DebugValue getValue();
}
