package com.sodius.mdw.core.eval.debug;

/**
 * A reference to a project element (template, rule or script).
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface ElementReference {

    /**
     * Returns the project in which this element is defined.
     * 
     * @return the project in which this element is defined.
     */
    public ProjectReference getProject();

    /**
     * Returns the name of the element.
     * 
     * @return the element name.
     */
    public String getName();
}
