package com.sodius.mdw.core.eval.debug;

/**
 * Description of a model element used during the evaluation.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.model.MDWObject
 * @see ScriptNode#getReceiver()
 */
public interface MDWObjectValue extends DebugValue {

    /**
     * Returns a description of the container model.
     * 
     * @return the container model.
     */
    public ModelValue getModel();
    
    /**
     * Returns the metamodel ID of this model element.
     * 
     * @return the metamodel ID of this model element.
     * @see com.sodius.mdw.core.model.Metamodel#getUniqueID()
     */
    public String getMetamodelID();
    
    /**
     * Returns the unique ID of this model element.
     * 
     * @return the unique ID of this model element, <code>null</code> if no unique ID set.
     * @see com.sodius.mdw.core.model.MDWObject#eUniqueID()
     */
    public String getUniqueID();
}
