package com.sodius.mdw.core.eval.debug;

import java.util.Collection;

/**
 * Description of a model used during the evaluation.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.model.Model
 * @see com.sodius.mdw.core.eval.debug.MDWObjectValue#getModel()
 */
public interface ModelValue extends DebugValue {

    /**
     * Returns the metamodel ID of this model.
     * 
     * @return the metamodel ID of this model.
     * @see com.sodius.mdw.core.model.Metamodel#getUniqueID()
     */
    public String getMetamodelID();
    
    /**
     * Returns the model elements contained in this model and used during the evaluation.
     * 
     * @return an unmodifiable collection of <code>MDWObjectValue</code> elements.
     */
    public Collection<MDWObjectValue> getInstances();
}
