package com.sodius.mdw.core.eval.debug;

import java.util.List;

/**
 * A node representing an evaluated element, part of a project.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface ProjectElementNode extends DebugNode {

    /**
     * Returns the number of arguments of the element call.
     * 
     * @return the number of arguments of the element call.
     */
    public int getArgumentCount();
    
    /**
     * Returns the arguments of the element call.
     * 
     * @return an unmodifiable list of <code>DebugVariable</code> elements.
     * @see DebugVariable
     */
    public List<DebugVariable> getArguments();
    
    /**
     * Returns a description of the evaluation result.
     * 
     * @return a description of the evaluation result.
     */
    public DebugValue getResult();
}
