package com.sodius.mdw.core.eval.debug;

import java.util.List;

/**
 * A node representing an evaluated rule.
 * This rule can either be a top-level rule or a subrule.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface RuleNode extends ProjectElementNode {

    /**
     * Returns a description of the evaluated rule.
     * 
     * @return a description of the evaluated rule.
     */
    public RuleReference getRule();
    
    /**
     * Returns the arguments of the rule set call.
     * This list is empty if the rule is called within its defining rule set.
     * 
     * @return an unmodifiable list of <code>DebugVariable</code> elements.
     * @see DebugVariable
     */
    public List<DebugVariable> getRuleSetArguments();
    
}
