package com.sodius.mdw.core.eval.debug;

import java.util.Collection;

/**
 * A reference to a rule set.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.eval.debug.ProjectReference#getRuleSets()
 */
public interface RuleSetReference extends ProjectUnitReference {

    /**
     * Returns the rules defined in this rule set, and used during the evaluation.
     * 
     * @return an unmodifiable collection of <code>RuleReference</code> elements.
     * @see RuleReference
     */
    public Collection<RuleReference> getRules();
    
}
