package com.sodius.mdw.core.eval.debug;

/**
 * A node representing an evaluated script.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface ScriptNode extends ProjectElementNode {

    /**
     * Returns a description of the evaluated script.
     * 
     * @return a description of the evaluated script.
     */
    public ScriptReference getScript();
    
    /**
     * Returns a description of the model element on which the script is evaluated.
     * 
     * @return a description of the model element on which the script is evaluated.
     */
    public MDWObjectValue getReceiver();
    
}
