package com.sodius.mdw.core.eval.debug;

import com.sodius.mdw.core.eval.project.VisibilityKind;

/**
 * A reference to a script.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.eval.debug.TypeReference#getScripts()
 */
public interface ScriptReference extends ElementReference {

    /**
     * Returns the number of parameters declared by the element.
     * 
     * @return the number of parameters declared by the element. 
     */
    public int getParameterCount();
    
    /**
     * Returns the type on which the referenced script is defined.
     * 
     * @return the type on which the referenced script is defined.
     */
    public TypeReference getType();
    
    /**
     * Returns the script visibility.
     * 
     * @return the script visibility.
     */
    public VisibilityKind getVisibility();
}
