package com.sodius.mdw.core.eval.debug;

/**
 * A node representing an evaluated text template.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface TextTemplateNode extends ProjectElementNode {

    /**
     * Returns a description of the evaluated text template.
     * 
     * @return a description of the evaluated text template.
     */
    public TextTemplateReference getTextTemplate();
    
    /**
     * Returns the file path generated by the text template.
     * This may be a relative path.
     * 
     * @return the file path generated by the text template.
     */
    public String getGeneratedFilename();
    
    /**
     * Returns the encoding specified by the text template used to write the generated file.
     * 
     * @return the encoding specified by the text template used to write the generated file.
     */
    public String getEncoding();
}
