package com.sodius.mdw.core.eval.launch;

/**
 * A launch argument matching a <code>Parameter</code> of a template or of a rule.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.eval.launch.LaunchEntryPoint#getArguments()
 * @see com.sodius.mdw.core.eval.launch.RuleEntryPoint#getRuleArguments()
 */
public interface LaunchStringArgument {

    /**
     * Returns the launch argument value, as a <code>String</code>.
     * 
     * @return the launch argument value.
     */
    public String getValue();
    
    /**
     * Sets the launch argument value, as a <code>String</code>.
     * 
     * @param value the launch argument value.
     */
    public void setValue(String value);
}
