package com.sodius.mdw.core.eval.project;

/**
 * Defines the location of the resource which contains a project element.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see com.sodius.mdw.core.eval.project.ProjectElement#getLocation()
 */
public interface Location {

    /**
     * Returns the package name in which an element is defined (<code>"com.sodius.myPackage"</code> for example).
     * 
     * @return the package name.
     */
    public String getPackageName();
    
    /**
     * Returns the resource name in which an element is defined (<code>"MyTemplate.mtpl"</code> for example).
     * 
     * @return the resource name.
     */
    public String getResourceName();
    
    /**
     * Returns the qualified resource path in which an element is defined (<code>"com.sodius.myPackage.MyTemplate.mtpl"</code> for example).
     * 
     * @return the resource path.
     */
    public String getResourcePath();
}
