package com.sodius.mdw.core.eval.project;

import com.sodius.mdw.core.model.Metamodel;

/**
 * A template or rule set model parameter.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface ModelParameter extends Parameter {
    
    /**
     * Returns the related metamodel.
     * 
     * @return the related metamodel.
     */
    public Metamodel getMetamodel();
    
    /**
     * Returns the parameter direction.
     * 
     * @return the parameter direction.
     */
    public DirectionKind getDirection();
}
