package com.sodius.mdw.core.eval.project;

/**
 * An object parameter of a template, rule or script,
 * which can represent any arbitrary Java class.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see ProjectElement#getParameters()
 */
public interface Parameter {
    
    /**
     * Returns the parameter name.
     * 
     * @return the parameter name.
     */
    public String getName();
    
    /**
     * Returns the parameter resolved type.
     * 
     * @return the parameter resolved type.
     */
    public Class<?> getJavaClass();

}
