package com.sodius.mdw.core.eval.project;

/**
 * Base class for text templates and rule sets contained in a project.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface ProjectUnit extends ProjectElement {

    /**
     * Returns the qualified name of this unit, without the file extension (<code>"myPackage.myTemplate"</code> for example).
     * This qualified name is used to reference a text template or & rule set during evaluations.
     * 
     * @return the project unit qualified name.
     * @see com.sodius.mdw.core.eval.EvaluationContext#generate(String, List)
     * @see com.sodius.mdw.core.eval.EvaluationContext#evaluateRule(String, List, String, List)
     */
    public String getQualifiedName();
    
}
