package com.sodius.mdw.core.eval.project;

import java.util.Collection;

/**
 * A rule set, which defines rules.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * @see Project#getRuleSets()
 */
public interface RuleSet extends ProjectUnit {

    /**
     * A collection of top-level rules defined in the rule set.
     * 
     * <p>This collection contains top-level rules, without visibility filtering,
     * but won't contain sub-rules, which are not subject of interest during evaluations 
     * as they're not visible outside of the defining rule set.</p>
     * 
     * @return an unmodifiable collection of <code>Rule</code> elements.
     */
    public Collection<Rule> getRules();
}
