package com.sodius.mdw.core.eval.project;

/**
 * An invocable script.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see Type#getScripts()
 */
public interface Script extends ProjectElement {
    
    /**
     * Returns the type this script is defined on.
     * 
     * @return the type this script is defined on.
     */
    public Type getType();
    
    /**
     * Returns the script visibility.
     * 
     * @return the script visibility.
     */
    public VisibilityKind getVisibility(); 
    
    /**
     * Returns the script resolved return type.
     * 
     * @return the resolved return type.
     */
    public Class<?> getReturnType();

}
