package com.sodius.mdw.core.model;

import java.util.Collection;

import com.sodius.mdw.core.model.emf.MDWEList;
import com.sodius.mdw.internal.core.model.AbstractMDWList;

/**
 * Default <code>MDWList</code> implementation based on an <code>ArrayList</code>.
 * 
 * @see java.util.ArrayList
 */
public class DefaultMDWList<E> extends AbstractMDWList<E> implements MDWEList<E> {

    /**
     * Constructs an empty list with an initial capacity of ten.
     */
    public DefaultMDWList() {
        super();
    }

    /**
     * Constructs an empty list with the specified initial capacity.
     *
     * @param   initialCapacity   the initial capacity of the list.
     * @throws IllegalArgumentException if the specified initial capacity
     *            is negative
     */
    public DefaultMDWList(int initialCapacity) {
        super(initialCapacity);
    }
    
    /**
     * Constructs a list containing the elements of the specified
     * collection, in the order they are returned by the collection's
     * iterator.  The <tt>DefaultMDWList</tt> instance has an initial capacity of
     * 110% the size of the specified collection.
     *
     * @param c the collection whose elements are to be placed into this list.
     * @throws NullPointerException if the specified collection is <code>null</code>.
     */
    public DefaultMDWList(Collection<E> c) {
        super(c);
    }

}
