package com.sodius.mdw.core.model;

import java.util.Collection;

import com.sodius.mdw.internal.core.model.AbstractMDWSet;

/**
 * Default <code>MDWSet</code> implementation based on a <code>HashSet</code>.
 * 
 * @see java.util.HashSet
 * @since MDWorkbench 3.0.0
 */
public class DefaultMDWSet<E> extends AbstractMDWSet<E> implements MDWSet<E> {

    /**
     * Constructs an empty Set.
     */
    public DefaultMDWSet() {
        super();
    }

    /**
     * Constructs an empty Set with the specified initial capacity.
     *
     * @param   initialCapacity   the initial capacity of the Set.
     * @throws IllegalArgumentException if the specified initial capacity
     *            is negative
     */
    public DefaultMDWSet(int initialCapacity) {
        super(initialCapacity);
    }
    
    /**
     * Constructs a Set containing the elements of the specified
     * collection.
     *
     * @param c the collection whose elements are to be placed into this Set.
     * @throws NullPointerException if the specified collection is <code>null</code>.
     */
    public DefaultMDWSet(Collection<E> c) {
        super(c);
    }

}
