package com.sodius.mdw.core.model;

import com.sodius.mdw.internal.core.eval.filter.FilteredRuntimeException;

/**
 * Thrown when a type name does not resolve to a known metamodel meta-type. 
 * 
 * @see MDWObject#eIsInstanceOf(String)
 * @see Model#create(String)
 */
public class NoSuchTypeException extends FilteredRuntimeException {

    /**
     * Constructs a <code>NoSuchTypeException</code> with the specified message.
     * 
     * @param message the detail message.
     */
    public NoSuchTypeException(String message) {
        super(message);
    }

}
