package com.sodius.mdw.core.model.diagram;

import java.io.File;

/**
 * Temporary file-based diagram image implementation.
 * This implementation delete the image file on <code>dispose()</code>.
 * 
 * <p>Clients may instantiate or subclass this class.</p>
 *
 * @since 2.1.0
 */
public class DiagramTemporaryImage extends DiagramFileImage {

    /**
     * Creates a new diagram image based on the specified file.
     * 
     * @param file the temporary image file.
     */
    public DiagramTemporaryImage(File file) {
        super(file);
    }
    
    /**
     * Delete the temporary file.
     */
    public void dispose() {
        if (! getFile().delete())
            getFile().deleteOnExit();
    }

}
