package com.sodius.mdw.core.model.emf;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;

import com.sodius.mdw.core.model.io.ConnectorContext;

/**
 * Default EMF based implementation to handle XML uris.
 */
public abstract class EMFXMLModelReader extends EMFModelReader {

    protected Resource createResource(URI uri, ConnectorContext context) {
        Resource.Factory resourceFactory = getResourceFactory();
        if (resourceFactory != null) {
            Resource result = resourceFactory.createResource(uri);
            return result;
        }
        else {
            return null;
        }
    }

    public abstract Resource.Factory getResourceFactory();

}
