package com.sodius.mdw.core.util;

/**
 * Operations on <code>String</code>.
 * 
 * <p>
 * This class cannot be instantiated or subclassed by clients.
 * </p>
 */
public final class StringUtils {

    /**
     * <p>Capitalizes a String changing the first letter to title case as
     * per {@link Character#toTitleCase(char)}. No other letters are changed.</p>
     *
     * @param value the String to capitalize, may be <code>null</code>
     * @return the capitalized String, <code>null</code> if null String input
     */
    public static String capitalize(String value) {
        if (value == null || value.length() == 0)
            return value;
        else
            return new StringBuffer(value.length())
                .append(Character.toTitleCase(value.charAt(0)))
                .append(value.substring(1))
                .toString();
    }
    
    private StringUtils() {
    }

}
