
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPActor interface represents actors in Rhapsody models.
  */
public interface IRPActor  extends IRPClassifier {
	/**
 	 * Checks whether an actor does not inherit the behavior defined in the statechart of its base class. When you create a statechart for an actor, by default it inherits the behavior defined in the statechart of its base class. However, Rhapsody allows you to specify that the actor should not inherit this behavior. This operation checks whether this option has been exercised for the current actor.
 	 * @return indication of whether or not the actor inherits the behavior specified in the statechart of its base class. 1 means that it does not inherit this behavior, 0 means that it does inherit the behavior defined in the statechart of the base class.
 	 */
	public int getIsBehaviorOverriden();
	/**
 	 * Specifies whether an actor should inherit the behavior defined in the statechart of its base class. When you create a statechart for an actor, by default it inherits the behavior defined in the statechart of its base class. However, Rhapsody allows you to specify that the actor should not inherit this behavior.
 	 * @param isBehaviorOverriden use 1 if you do not want the actor to inherit the behavior defined in the statechart of its base class. Use 0 if you want the actor to inherit this behavior.
 	 */
	public void setIsBehaviorOverriden(int isBehaviorOverriden);
}

