
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPCollaboration  extends IRPModelElement {
	/**
	 * method addCancelledTimeout
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addCancelledTimeout(IRPClassifierRole receiver);
	/**
	 * method addClassifierRole
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole addClassifierRole(String newVal, IRPClassifier cls);
	/**
	 * method addClassifierRoleByName
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole addClassifierRoleByName(String newVal, String classFullPath);
	/**
	 * method addClassifierRoleForInstance
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole addClassifierRoleForInstance(IRPInstance inst);
	/**
	 * method addConditionMark
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addConditionMark(IRPClassifierRole classifier);
	/**
	 * method addCtor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addCtor(IRPInterfaceItem interItem, String actualParamList, IRPClassifierRole sender, IRPClassifierRole receiver);
	/**
	 * method addDestructionEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addDestructionEvent(IRPClassifierRole classifier);
	/**
	 * method addDtor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addDtor(IRPInterfaceItem interItem, String actualParamList, IRPClassifierRole sender, IRPClassifierRole receiver);
	/**
	 * method addFoundMessage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addFoundMessage(IRPClassifierRole receiver);
	/**
	 * method addInteractionOccurrence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInteractionOccurrence addInteractionOccurrence();
	/**
	 * method addInteractionOperator
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInteractionOperator addInteractionOperator();
	/**
	 * method addLostMessage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addLostMessage(IRPClassifierRole sender);
	/**
	 * method addMessage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addMessage(IRPInterfaceItem interItem, String actualParamList, IRPClassifierRole sender, IRPClassifierRole receiver);
	/**
	 * method addReplyMessage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addReplyMessage(IRPInterfaceItem interItem, String actualParamList, IRPClassifierRole sender, IRPClassifierRole receiver);
	/**
	 * method addSystemBorder
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole addSystemBorder();
	/**
	 * method addTimeInterval
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addTimeInterval(IRPClassifierRole receiver);
	/**
	 * method addTimeout
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage addTimeout(IRPInterfaceItem interItem, String actualParamList, IRPClassifierRole sender, IRPClassifierRole receiver);
	/**
	 * method generateSequence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSequenceDiagram generateSequence(String newVal, IRPPackage owner);
	/**
	 * get property activationCondition
	 * @throws RhapsodyRuntimeException
	 */
	public String getActivationCondition();
	/**
	 * get property activationMode
	 * @throws RhapsodyRuntimeException
	 */
	public String getActivationMode();
	/**
	 * method getActivator
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage getActivator(IRPMessage msg);
	/**
	 * get property associations
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getAssociations();
	/**
	 * get property classifier
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getClassifier();
	/**
	 * method getConcurrentGroup
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getConcurrentGroup(IRPMessage msg);
	/**
	 * get property executionOccurrences
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getExecutionOccurrences();
	/**
	 * get property interactionOccurrences
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInteractionOccurrences();
	/**
	 * get property interactionOperators
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInteractionOperators();
	/**
	 * method getMessagePoints
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getMessagePoints(IRPClassifierRole classifier);
	/**
	 * get property messagePoints
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getMessagePoints();
	/**
	 * get property messages
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getMessages();
	/**
	 * get property mode
	 * @throws RhapsodyRuntimeException
	 */
	public String getMode();
	/**
	 * method getPredecessor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage getPredecessor(IRPMessage msg);
	/**
	 * method getSuccessor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMessage getSuccessor(IRPMessage msg);
}

