
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPDependency interface represents dependencies in a Rational Rhapsody model.
  */
public interface IRPDependency  extends IRPModelElement {
	/**
 	 * Returns the source element in the dependency relation, meaning the element that depends on the other element.
 	 * @return the source element in the dependency relation
 	 */
	public IRPModelElement getDependent();
	/**
 	 * Returns the target element in the dependency relation, meaning the element on which the first element depends.
 	 * @return the target element in the dependency relation
 	 */
	public IRPModelElement getDependsOn();
	/**
 	 * Sets the source element in the dependency relation, meaning the element that depends on the other element.
 	 * @param dependent the model element that should be used as the source element in the dependency relation 
 	 */
	public void setDependent(IRPModelElement dependent);
	/**
 	 * Sets the target element in the dependency relation, meaning the element on which the first element depends
 	 * @param dependsOn the model element that should be used as the target element in the dependency relation
 	 */
	public void setDependsOn(IRPModelElement dependsOn);
}

