
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPDiagSynthAPI {
	/**
	 * DiagSynthAPI : add instance to sequence diagram
	 * @throws RhapsodyRuntimeException
	 */
	public int addInstance(int addedToSD, String instanceNavExp);
	/**
	 * DiagSynthAPI : add synth sequence diagarm to model
	 * @throws RhapsodyRuntimeException
	 */
	public int addSynthSDToModel2(IRPSequenceDiagram pMscOrig, int synthSD, int openSD);
	/**
	 * DiagSynthAPI : create sequence diagram
	 * @throws RhapsodyRuntimeException
	 */
	public int createSD2(IRPSequenceDiagram pMscOrig, String testedmscname);
	/**
	 * DiagSynthAPI : recieve sequence diagram message
	 * @throws RhapsodyRuntimeException
	 */
	public void receiveMessage(int pTestedSD, int pEventSent);
	/**
	 * DiagSynthAPI : remove synth sequence diagarm to model
	 * @throws RhapsodyRuntimeException
	 */
	public int removeSynthSDToModel2(IRPSequenceDiagram pMscOrig);
	/**
	 * DiagSynthAPI : send condition mark to instance
	 * @throws RhapsodyRuntimeException
	 */
	public int sDAddConditionMark(int pTestedSD, String instance, String text, String type);
	/**
	 * DiagSynthAPI : send sequence diagram message
	 * @throws RhapsodyRuntimeException
	 */
	public int sendMessage(int pTestedSD, String source, String target, String event, String operation, String type);
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
}

