
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPFlowchart  extends IRPStatechart {
	/**
	 * method addAcceptEventAction
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAcceptEventAction addAcceptEventAction(String name, IRPState parent);
	/**
	 * method addAcceptTimeEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAcceptTimeEvent addAcceptTimeEvent(String name, IRPState parent);
	/**
	 * method addActivityParameter
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPin addActivityParameter(String name);
	/**
	 * method addCallBehavior
	 * @throws RhapsodyRuntimeException
	 */
	public IRPState addCallBehavior(IRPModelElement referenced);
	/**
	 * method addCallOperation
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCallOperation addCallOperation(String name, IRPState parent);
	/**
	 * method addObjectNode
	 * @throws RhapsodyRuntimeException
	 */
	public IRPObjectNode addObjectNode(String name, IRPState parent);
	/**
	 * method addReferenceActivity
	 * @throws RhapsodyRuntimeException
	 */
	public IRPState addReferenceActivity(IRPModelElement referenced);
	/**
	 * method addSwimlane
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSwimlane addSwimlane(String name);
	/**
	 * method getFlowchartDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPActivityDiagram getFlowchartDiagram();
	/**
	 * get property isAnalysisOnly
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsAnalysisOnly();
	/**
	 * get itsOwner
	 * @throws RhapsodyRuntimeException
	 */
	public IRPOperation getItsOwner();
	/**
	 * get property swimlanes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getSwimlanes();
	/**
	 * set property isAnalysisOnly
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsAnalysisOnly(int isAnalysisOnly);
	/**
	 * set itsOwner
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsOwner(IRPOperation itsOwner);
}

