
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPInstance  extends IRPRelation {
	/**
	 * method addRelationToTheWhole
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation addRelationToTheWhole(String relName);
	/**
	 * method getAttributeValue
	 * @throws RhapsodyRuntimeException
	 */
	public String getAttributeValue(String attName);
	/**
	 * method getInLinks
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInLinks();
	/**
	 * get property instantiatedBy
	 * @throws RhapsodyRuntimeException
	 */
	public IRPOperation getInstantiatedBy();
	/**
	 * method getListOfInitializerArguments
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getListOfInitializerArguments();
	/**
	 * method getOutLinks
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getOutLinks();
	/**
	 * method setAttributeValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setAttributeValue(String attName, String attValue);
	/**
	 * method setExplicit
	 * @throws RhapsodyRuntimeException
	 */
	public void setExplicit();
	/**
	 * method setImplicit
	 * @throws RhapsodyRuntimeException
	 */
	public void setImplicit();
	/**
	 * method setInitializerArgumentValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setInitializerArgumentValue(String argName, String argValue);
	/**
	 * set property instantiatedBy
	 * @throws RhapsodyRuntimeException
	 */
	public void setInstantiatedBy(IRPOperation instantiatedBy);
}

