
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPInterfaceItem  extends IRPClassifier {
	/**
	 * method addArgument
	 * @throws RhapsodyRuntimeException
	 */
	public IRPArgument addArgument(String newVal);
	/**
	 * method addArgumentBeforePosition
	 * @throws RhapsodyRuntimeException
	 */
	public IRPArgument addArgumentBeforePosition(String newVal, int pos);
	/**
	 * get property arguments
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getArguments();
	/**
	 * get property signature
	 * @throws RhapsodyRuntimeException
	 */
	public String getSignature();
	/**
	 * method getSignatureNoArgNames
	 * @throws RhapsodyRuntimeException
	 */
	public String getSignatureNoArgNames();
	/**
	 * method getSignatureNoArgTypes
	 * @throws RhapsodyRuntimeException
	 */
	public String getSignatureNoArgTypes();
	/**
	 * method matchOnSignature
	 * @throws RhapsodyRuntimeException
	 */
	public int matchOnSignature(IRPInterfaceItem Item);
}

