
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPMessage  extends IRPModelElement {
	/**
	 * method addSourceExecutionOccurrence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPExecutionOccurrence addSourceExecutionOccurrence();
	/**
	 * method addTargetExecutionOccurrence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPExecutionOccurrence addTargetExecutionOccurrence();
	/**
	 * get property actualParameterList
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getActualParameterList();
	/**
	 * get property communicationConnection
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAssociationRole getCommunicationConnection();
	/**
	 * get property condition
	 * @throws RhapsodyRuntimeException
	 */
	public String getCondition();
	/**
	 * get property flowPort
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSysMLPort getFlowPort();
	/**
	 * get property formalInterfaceItem
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInterfaceItem getFormalInterfaceItem();
	/**
	 * get property messageType
	 * @throws RhapsodyRuntimeException
	 */
	public String getMessageType();
	/**
	 * get property Port
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPort getPort();
	/**
	 * get property returnValue
	 * @throws RhapsodyRuntimeException
	 */
	public String getReturnValue();
	/**
	 * get property sequenceNumber
	 * @throws RhapsodyRuntimeException
	 */
	public String getSequenceNumber();
	/**
	 * method getSignature
	 * @throws RhapsodyRuntimeException
	 */
	public String getSignature();
	/**
	 * get property source
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole getSource();
	/**
	 * get property sourceExecutionOccurrence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPExecutionOccurrence getSourceExecutionOccurrence();
	/**
	 * get property target
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifierRole getTarget();
	/**
	 * get property targetExecutionOccurrence
	 * @throws RhapsodyRuntimeException
	 */
	public IRPExecutionOccurrence getTargetExecutionOccurrence();
	/**
	 * get property timerValue
	 * @throws RhapsodyRuntimeException
	 */
	public String getTimerValue();
	/**
	 * method reroute
	 * @throws RhapsodyRuntimeException
	 */
	public void reroute();
	/**
	 * method setActualParameterList
	 * @throws RhapsodyRuntimeException
	 */
	public void setActualParameterList(IRPCollection pVal);
	/**
	 * set property flowPort
	 * @throws RhapsodyRuntimeException
	 */
	public void setFlowPort(IRPSysMLPort flowPort);
	/**
	 * set property Port
	 * @throws RhapsodyRuntimeException
	 */
	public void setPort(IRPPort port);
	/**
	 * set property returnValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setReturnValue(String returnValue);
	/**
	 * set property timerValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setTimerValue(String timerValue);
}

