
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSelection {
	/**
	 * Check if COPY operation is available for current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int canCopy();
	/**
	 * Check if CUT operation is available for current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int canCut();
	/**
	 * Check if DELETE operation is available for current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int canDelete();
	/**
	 * Check if PASTE operation is available for current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int canPaste();
	/**
	 * Perform COPY operation under current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int copySelected();
	/**
	 * Perform CUT operation under current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int cutSelected();
	/**
	 * Perform DELETE operation under current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int deleteSelected();
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
	/**
	 * Perform PASTE operation under current selection
	 * @throws RhapsodyRuntimeException
	 */
	public int pasteSelected();
}

