
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPStatechartDiagram interface represents statecharts in a Rational Rhapsody model.
  */
public interface IRPStatechartDiagram  extends IRPDiagram {
	/**
 	 * Adds an And Line to the specified state.
 	 * @param sourceState the graphical element representing the state to which the And Line should be added
 	 * @param xStartPosition the x position at which the And Line should begin
 	 * @param yStartPosition the y position at which the And Line should begin
 	 * @param xEndPosition the x position at which the And Line should end
 	 * @param yEndPosition the y position at which the And Line should end
 	 * @return a collection of the new orthogonal states created
 	 */
	public IRPCollection addAndLine(IRPGraphNode sourceState, int xStartPosition, int yStartPosition, int xEndPosition, int yEndPosition);
	/**
 	 * Creates the graphical representation of the elements in the statechart. When you create a statechart with the API, the graphical representation is not created by default. This means that the first time you open the statechart in Rational Rhapsody, you will be asked if the graphics should be created. You can create the graphical representation directly by calling createGraphics().
 	 */
	public void createGraphics();
	/**
 	 * Returns the IRPStatechart object underlying the statechart.
 	 * @return the IRPStatechart object underlying the statechart
 	 */
	public IRPStatechart getStatechart();
}

