
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPTag  extends IRPVariable {
	/**
	 * get property base
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTag getBase();
	/**
 	 * For tags whose source is a profile that was added to the project (as opposed to tags defined locally in the project), this method returns the profile in which the tag was defined.
 	 * @return the profile in which the tag was defined
 	 */
	public IRPProfile getFromProfile();
	/**
 	 * Returns the multiplicity that was specified for the tag.
 	 * @return the multiplicity that was specified for the tag
 	 */
	public String getMultiplicity();
	/**
	 * get property tagMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public String getTagMetaClass();
	/**
 	 * Returns the value of the tag.
 	 * @return the value of the tag
 	 */
	public String getValue();
	/**
 	 * Specifies the multiplicity for the tag.
 	 * @param multiplicity the multiplicity to use for the tag. You can use strings such as "1" or "14" to specify a specific number, or you can use one of the values listed in the Features dialog for tags: "0,1", "*", or "1..*".
 	 */
	public void setMultiplicity(String multiplicity);
	/**
	 * method setTagContextValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setTagContextValue(IRPCollection elements, IRPCollection multiplicities);
	/**
	 * set property tagMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public void setTagMetaClass(String tagMetaClass);
	/**
 	 * Sets the value of the tag.
 	 * @param value the value to use for the tag
 	 */
	public void setValue(String value);
}

