
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPTransition  extends IRPModelElement {
	/**
	 * method getInheritsFrom
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition getInheritsFrom();
	/**
	 * get isOverridden
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsOverridden();
	/**
	 * method getItsAction
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAction getItsAction();
	/**
	 * method getItsGuard
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGuard getItsGuard();
	/**
	 * get property itsLabel
	 * @throws RhapsodyRuntimeException
	 */
	public String getItsLabel();
	/**
	 * get property itsSource
	 * @throws RhapsodyRuntimeException
	 */
	public IRPStateVertex getItsSource();
	/**
	 * get property itsStatechart
	 * @throws RhapsodyRuntimeException
	 */
	public IRPStatechart getItsStatechart();
	/**
	 * get property itsTarget
	 * @throws RhapsodyRuntimeException
	 */
	public IRPStateVertex getItsTarget();
	/**
	 * method getItsTrigger
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTrigger getItsTrigger();
	/**
	 * method getOfState
	 * @throws RhapsodyRuntimeException
	 */
	public IRPState getOfState();
	/**
	 * method isDefaultTransition
	 * @throws RhapsodyRuntimeException
	 */
	public int isDefaultTransition();
	/**
	 * method isStaticReaction
	 * @throws RhapsodyRuntimeException
	 */
	public int isStaticReaction();
	/**
	 * method itsCompoundSource
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection itsCompoundSource();
	/**
	 * method overrideInheritance
	 * @throws RhapsodyRuntimeException
	 */
	public void overrideInheritance();
	/**
	 * method resetLabelInheritance
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition resetLabelInheritance();
	/**
	 * method setItsAction
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAction setItsAction(String action);
	/**
	 * method setItsGuard
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGuard setItsGuard(String guard);
	/**
	 * property setItsLabel
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsLabel(String trigger, String guard, String action);
	/**
	 * set property itsSource
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsSource(IRPStateVertex itsSource);
	/**
	 * set property itsStatechart
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsStatechart(IRPStatechart itsStatechart);
	/**
	 * set property itsTarget
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsTarget(IRPStateVertex itsTarget);
	/**
	 * method setItsTrigger
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTrigger setItsTrigger(String trigger);
	/**
	 * method unoverrideInheritance
	 * @throws RhapsodyRuntimeException
	 */
	public void unoverrideInheritance();
}

