
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPType  extends IRPClassifier {
	/**
	 * method addEnumerationLiteral
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEnumerationLiteral addEnumerationLiteral(String name);
	/**
	 * method deleteEnumerationLiteral
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteEnumerationLiteral(IRPEnumerationLiteral literal);
	/**
	 * get property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public String getDeclaration();
	/**
	 * get property enumerationLiterals
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getEnumerationLiterals();
	/**
	 * get property isPredefined
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsPredefined();
	/**
	 * get property isTypedef
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsTypedef();
	/**
	 * get property isTypedefConstant
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsTypedefConstant();
	/**
	 * get property isTypedefOrdered
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsTypedefOrdered();
	/**
	 * get property isTypedefReference
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsTypedefReference();
	/**
	 * get property kind
	 * @throws RhapsodyRuntimeException
	 */
	public String getKind();
	/**
	 * get property typedefBaseType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getTypedefBaseType();
	/**
	 * get property typedefMultiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public String getTypedefMultiplicity();
	/**
	 * method isArray
	 * @throws RhapsodyRuntimeException
	 */
	public int isArray();
	/**
	 * method isEnum
	 * @throws RhapsodyRuntimeException
	 */
	public int isEnum();
	/**
	 * method isEqualTo
	 * @throws RhapsodyRuntimeException
	 */
	public int isEqualTo();
	/**
	 * method isImplicit
	 * @throws RhapsodyRuntimeException
	 */
	public int isImplicit();
	/**
	 * method isKindEnumeration
	 * @throws RhapsodyRuntimeException
	 */
	public int isKindEnumeration();
	/**
	 * method isKindLanguage
	 * @throws RhapsodyRuntimeException
	 */
	public int isKindLanguage();
	/**
	 * method isKindStruct
	 * @throws RhapsodyRuntimeException
	 */
	public int isKindStruct();
	/**
	 * method isKindTypedef
	 * @throws RhapsodyRuntimeException
	 */
	public int isKindTypedef();
	/**
	 * method isKindUnion
	 * @throws RhapsodyRuntimeException
	 */
	public int isKindUnion();
	/**
	 * method isPointer
	 * @throws RhapsodyRuntimeException
	 */
	public int isPointer();
	/**
	 * method isPointerToPointer
	 * @throws RhapsodyRuntimeException
	 */
	public int isPointerToPointer();
	/**
	 * method isReference
	 * @throws RhapsodyRuntimeException
	 */
	public int isReference();
	/**
	 * method isReferenceToPointer
	 * @throws RhapsodyRuntimeException
	 */
	public int isReferenceToPointer();
	/**
	 * method isStruct
	 * @throws RhapsodyRuntimeException
	 */
	public int isStruct();
	/**
	 * method isTemplate
	 * @throws RhapsodyRuntimeException
	 */
	public int isTemplate();
	/**
	 * method isUnion
	 * @throws RhapsodyRuntimeException
	 */
	public int isUnion();
	/**
	 * set property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setDeclaration(String declaration);
	/**
	 * set property isTypedefConstant
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsTypedefConstant(int isTypedefConstant);
	/**
	 * set property isTypedefOrdered
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsTypedefOrdered(int isTypedefOrdered);
	/**
	 * set property isTypedefReference
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsTypedefReference(int isTypedefReference);
	/**
	 * set property kind
	 * @throws RhapsodyRuntimeException
	 */
	public void setKind(String kind);
	/**
	 * set property typedefBaseType
	 * @throws RhapsodyRuntimeException
	 */
	public void setTypedefBaseType(IRPClassifier typedefBaseType);
	/**
	 * set property typedefMultiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public void setTypedefMultiplicity(String typedefMultiplicity);
}

