
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPUseCase  extends IRPClassifier {
	/**
	 * method addDescribingDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void addDescribingDiagram(IRPDiagram diagram);
	/**
	 * method addExtensionPoint
	 * @throws RhapsodyRuntimeException
	 */
	public void addExtensionPoint(String entryPoint);
	/**
	 * method deleteDescribingDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteDescribingDiagram(IRPDiagram diagram);
	/**
	 * method deleteEntryPoint
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteEntryPoint(String entryPoint);
	/**
	 * method deleteExtensionPoint
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteExtensionPoint(String entryPoint);
	/**
	 * method findEntryPoint
	 * @throws RhapsodyRuntimeException
	 */
	public String findEntryPoint(IRPGeneralization gen);
	/**
	 * method findExtensionPoint
	 * @throws RhapsodyRuntimeException
	 */
	public String findExtensionPoint(IRPGeneralization gen);
	/**
	 * method getDescribingDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPDiagram getDescribingDiagram(String name);
	/**
	 * get property describingDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getDescribingDiagrams();
	/**
	 * get property entryPoints
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getEntryPoints();
	/**
	 * get property extensionPoints
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getExtensionPoints();
	/**
	 * get property isBehaviorOverriden
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsBehaviorOverriden();
	/**
	 * set property isBehaviorOverriden
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsBehaviorOverriden(int isBehaviorOverriden);
}

