
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPVariable  extends IRPUnit {
	/**
	 * method addElementDefaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInstanceValue addElementDefaultValue(IRPModelElement newDefaultVal);
	/**
	 * method addStringDefaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public IRPLiteralSpecification addStringDefaultValue(String newDefaultVal);
	/**
	 * get property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public String getDeclaration();
	/**
 	 * Returns the default value that was set for the variable.
 	 * @return the default value of the variable
 	 */
	public String getDefaultValue();
	/**
 	 * Returns the type of the variable.
 	 * @return the type of the variable
 	 */
	public IRPClassifier getType();
	/**
	 * get property valueSpecifications
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getValueSpecifications();
	/**
	 * set property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setDeclaration(String declaration);
	/**
 	 * Sets a new default value for the variable.
 	 * @param defaultValue the default value to use for the variable
 	 */
	public void setDefaultValue(String defaultValue);
	/**
 	 * Sets the type of the variable.
 	 * @param type the type to use for the variable
 	 */
	public void setType(IRPClassifier type);
	/**
	 * method setTypeDeclaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setTypeDeclaration(String newVal);
}

